from pattern.en import sentiment


#  *********************

# The sentiment() function returns a (polarity, subjectivity)-tuple for the given sentence, based on the adjectives it contains, where polarity is a value between -1.0 and +1.0 and subjectivity between 0.0 and 1.0. 

# polarity (positive <--> negative)
# subjectivity (objective <--> subjective)

# from: http://www.clips.ua.ac.be/pages/pattern-en#sentiment

#  *********************


wwbp = "The World Well-Being Project is a multi-disciplinary research group in the Positive Psychology Center at the University of Pennsylvania. Much of our work is part of an effort to develop an unobtrusive measurement of the psychological and physical well-being of large populations by analyzing their written expressions in social media such as Facebook and Twitter."
	# from: http://www.wwbp.org/how.html

myPersonality = "Are you nuts? Serious research using data from Facebook? And what the heck is this whole facebook?!!! Well, nearly 50% of the population in quite a few countries are 'on Facebook'. This includes 98% of students in the UK and quite probably your grandma, too. She just hasn't added you as a friend!"
	# from: http://mypersonality.org/wiki/doku.php?id=about_mypersonality

print "\nthe World Well-Being Project description is written with a sentiment of: "
print sentiment(wwbp)
print sentiment(wwbp).assessments

print "\nthis piece of text from the myPersonality project is written with a sentiment of: "
print sentiment(myPersonality)
print sentiment(myPersonality).assessments

print 

